%define _prefix /usr/local/gcc/%{version}
Name:		gcc740
Version:	7.4.0
Release:	1%{?dist}.1
Summary:	gcc 7.4.0

Group:		Development/Languages
License:	GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions and LGPLv2+ and BSD
URL:		http://gcc.gnu.org
Source0:	https://ftp.gnu.org/gnu/gcc/gcc-7.4.0/gcc-7.4.0.tar.xz
Patch1:		fixbuild.patch

BuildRequires:	gcc, glibc-static, zlib-devel, gettext, dejagnu, bison, flex, texinfo, sharutils
BuildRequires:	gmp-devel >= 4.1.2-8
BuildRequires:	mpfr-devel >= 2.2.1
%if 0%{?rhel} >= 7
BuildRequires:	libmpc-devel >= 0.8.1
%endif
BuildRequires:	binutils, glibc-devel, gdb, elfutils-devel, elfutils-libelf-devel
BuildRequires: /lib/libc.so.6 /usr/lib/libc.so /lib64/libc.so.6 /usr/lib64/libc.so
BuildRequires: libunwind >= 0.98
BuildRequires: libxml2
BuildRequires: perl
Requires: %{name}-libs
AutoReqProv: 0

%description
gcc 7.4.0

%package libs
Summary: Dynamic libraries from gcc 7.4.0
Group: System Environment/Libraries
AutoReqProv: 0
Provides: libstdc++.so.6(CXXABI_1.3.9)(64bit)
Provides: libstdc++.so.6(CXXABI_1.3.10)(64bit)
Provides: libstdc++.so.6(CXXABI_1.3.11)(64bit)
Provides: libstdc++.so.6(GLIBCXX_3.4.20)(64bit)
Provides: libstdc++.so.6(GLIBCXX_3.4.21)(64bit) 

%description libs
Just libraries for gcc 7.4.0.

%prep
%setup -q -n gcc-%{version}
%patch1 -p1

%build
%configure  --enable-shared --enable-threads=posix --enable-checking=release --enable-linker-build-id \
	    --disable-multilib --with-system-zlib --disable-libunwind-exceptions --enable-languages=c,c++
make %{?_smp_mflags}

%install
%make_install

%files
%doc
%{_bindir}
%{_includedir}
%{_libexecdir}
%{_datarootdir}
%{_libdir}/gcc
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/lib*.o
%{_libdir}/lib*.so
%{_libdir}/lib*.spec
%{_libdir}/lib*.py

%files libs
%dir %{_libdir}
%dir %{_libdir}
%{_libdir}/lib*.so.*

%changelog

